Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.ogcwebservices
Class OGCServiceTypes

    java.lang.Object
      org.deegree.ogcwebservices.OGCServiceTypes

    public final class OGCServiceTypes

extends Object

Author:
  Administrator TODO To change the template for this generated type comment go to Window - Preferences - Java - Code Generation - Code and Comments

Field Summary
`static String` | `CSW_SERVICE_NAME`
`static String` | `SOS_SERVICE_NAME`
`static String` | `WCS_SERVICE_NAME`
`static String` | `WFS_SERVICE_NAME`
`static String` | `WMS_SERVICE_NAME`
`static String` | `WPS_SERVICE_NAME`
`static String` | `WPVS_SERVICE_NAME`

Constructor Summary
`OGCServiceTypes()`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### CSW_SERVICE_NAME

    public static final String CSW_SERVICE_NAME

See Also:
  Constant Field Values

### WCS_SERVICE_NAME

    public static final String WCS_SERVICE_NAME

See Also:
  Constant Field Values

### WFS_SERVICE_NAME

    public static final String WFS_SERVICE_NAME

See Also:
  Constant Field Values

### WMS_SERVICE_NAME

    public static final String WMS_SERVICE_NAME

See Also:
  Constant Field Values

### SOS_SERVICE_NAME

    public static final String SOS_SERVICE_NAME

See Also:
  Constant Field Values

### WPS_SERVICE_NAME

    public static final String WPS_SERVICE_NAME

See Also:
  Constant Field Values

### WPVS_SERVICE_NAME

    public static final String WPVS_SERVICE_NAME

See Also:
  Constant Field Values

Constructor Detail

### OGCServiceTypes

    public OGCServiceTypes()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org